#### 已开发 基础接口: 登录校验接口
接口说明
```
请求地址
```
GET: /auth/check
```

请求参数

```
username=lengqiang
```
返回内容
```
{
    "result": "success",
    "plazas": [
    	{
    		"plazaid": 1000423,
            "plazacode": "DLGX"
    	}
    ],
    "permissions": [ "GLSMS_VIEW", "GLSMS_SYMBOL_MANAGE" ]
}
```

#### 已开发 基础接口: 查询楼层清单
接口说明
```
根据广场id查询广场的楼层（字典）清单
这里的字典是指F1、F2、B1这种标准的楼层代码，通过该代码可以和《铺位可视化》系统进行数据交换
```
请求地址
```
GET: /plaza/floor
```

请求参数
```
plazaId=XXYY
```
返回内容

```
{
    "result": "success",
    "data": [{
            "name": "第6层",
            "code": "F6", //管理说明书楼层展示使用
            "gname": "f6",//铺位可视化楼层 蜂鸟SDK使用
            "gcode": "6F",
            "seq": 600
        }]
}
```

#### 已开发 基础接口: 查询广场概况
请求地址
```
GET: /plaza/fact
```

请求参数
```
plazaId=XXYY
```
返回内容

```
{
    "result": "success",
    "pic1": [ {"区位图地址1"://字段：’GLSMS_PROIMGUP‘视图的字段}, {"区位图地址2"://字段：’GLSMS_PROIMGUP‘视图的字段} ],
    "pic2": [ {"鸟瞰图地址1"://字段：’GLSMS_PROIMGUP‘视图的字段}, {"鸟瞰图地址2"://字段：’GLSMS_PROIMGUP‘视图的字段} ],
    "build": [
    	{
    		"project": "建筑综合信息,对应视图建筑综合信息	glsms_build", 
    		"basic": ""
    	}
    ],
    "constructions": [
    	{
    		"type": "总包/分包,对应视图施工单位信息glsms_construction",
    		"professional": "专业",
    		"unit": "施工单位"
    	}
    ]
}
```

#### 已开发 基础接口：查询图片

接口说明

```
图片查询调用接口(项目概况图片/设备设施原理图/位置分布图/分水器支路分布明细/示意图/库房管理图)
```

请求地址

```json
GET /data/glsms_proimgup/query
```

请求参数

```
    tyepcode=1 //图片类型，用于区分区位图，鸟撖图，原理图等 选填
    neTyepname=位置布置图 //图片类型名称 不等于 选填
    tyepname=位置布置图 //图片类型名称 等于  选填
    module=1003 //图片类型 参考‘图片上传视图查询条件.doc'文件 选填
    loction=AA //布置图位置编号 选填
    system=system//所属系统 选填
    floor=floor //楼层 选填
    plazaId=XXYY'//广场id 必填
                            
```

返回内容

```json
{
    "result": "success",
    "data":[
        {
            //字段：’GLSMS_PROIMGUP‘视图的字段
        }
    ]
}
```

#### 已开发 基础接口：查询下拉框

接口说明

```
页面所有下拉框的接口
```

请求地址

```json
POST /data/base/queryOptions
```

路径参数说明

```
    major=弱电//专业 数据类型之后可能会修改 非必填
    plazaId=XXYY//广场id 必填
```
请求参数
```json
[
    {
        "columnName": {"brand"："brand","manufacturer":"manufacturer"},//列名称
        "params": {//前端存储的param 内容固定的，前端存储什么传什么
            "tab_code": "1593"//tab编码 详情下拉框使用“type_code”
        },
        "tableName": ""//视图名称
    }
]
```

返回内容

```json
{
    "result": "success",
    "data":{
        //视图名称：{
            //字段名是传递的列名称columnName的key：[
                {
                    "key":"",//传给后台的值
                    "value":""//页面下拉框展示的值
                }
            ]
        }
    }
}
```

#### 已开发 基础接口：查询Tab数据统计数量

接口说明

```
页面所有Tab数据的数量
```

请求地址

```json
POST /data/base/queryTabStatistics
```

路径参数说明

```
    major=弱电//专业 数据类型之后可能会修改 必填
    plazaId=XXYY//广场id 必填
    
    
```
请求参数
```json
[
    {
        "params": {//前端存储的param 内容固定的，前端存储什么传什么
            "tab_code": "1593"//tab编码    
        },
        "tableName": ""//视图名称 glsms_asset    glsms_proimgup tab编码 typecode
    }
]
```

返回内容

```json
{
    "result": "success",
    "data":[
        {
            "tableName": "",//视图名称
            "count": 100,//tab下的数据量
            "params": {//前端传的参数
                "tab_code": "1593"
            }
        }
    ]
}
```

#### 已开发 基础接口: 设备设施-主要设备清单

接口说明
```
```
请求地址
```
POST /data/glsms_asset/queryStatistics
```

路径参数说明
```
major=弱电//专业 数据类型之后可能会修改 非必填
plazaId=XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

请求参数
```json
{
    "tab_code":"1572"//tab编码
    //查询字段，参考视图‘glsms_asset’
}
```

返回内容
```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            "type_code":"1572"//自定义分类内码
            "type_name": "热力循环泵",//设备类型简称
            "sl": 3,//数量
            "floor": "",//楼层
            "sbxh": "ZHTW125-320",//型号
            "manufacturer": "8503"//生产厂商
            "classstructureid": "1460",//分类内码
            "importance": 1,//重要性 
            "classqc": "消防电系统/可燃气体探测器",//分类全称
            "wzjc": "商业楼-楼层-1层",//安装位置
            "floorcode": "F1",//楼层编码
            "type_code": "rq011"//说明书系统type编码
        }
    ],
    
}
```


#### 已开发 基础接口: 设备设施-主要设备清单-详情

接口说明
```
```
请求地址
```
POST /data/glsms_asset/query
```

路径参数说明
```
major=弱电//专业 数据类型之后可能会修改 必填
plazaId=XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

请求参数
```json
{
    "classstructureid":"1572",//设备分类
    "location":"1572",//位置内码 查询机房核心设备时必传
    "type_code":"1572",//自定义分类内码 主要设备清单必传
    "manufacturer": "8503", //生产厂商 主要设备清单必传 如果没有传递‘--’
    "sbxh": "ZHTW125-320", //设备类型 主要设备清单必传 如果没有传递‘--’
    "floorcode": "",//楼层编码 该楼层参数为上方楼层下拉框选择的值，如果没有就不传
    "brand": "--"//品牌 主要设备清单必传 如果没有传递‘--’
}
```

返回内容
```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_asset‘
        }
    ],
    
}
```

#### 已开发 基础接口: 设备设施-主要材料清单

接口说明

```

```

请求地址

```
GET /data/gcglsms_material/query
```

路径参数说明
```
major=土建//专业 数据类型之后可能会修改 必填
plazaId=XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’gcglsms_material‘
        }
    ],
    
}
```

#### 已开发 基础接口: 设备设施-维保事项

接口说明

```

```

请求地址

```
GET /data/v_glsms_wbsms/query
```

路径参数说明

```
smsxt:1004,//自定义系统编码
tab:system,//tab的参数，字段暂不确定
plazaId':XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_wbsms‘
        }
    ],
    
}
```
#### 已开发 基础接口: 机电信息-维保事项

接口说明

```

```

请求地址

```
GET /data/v_glsms_wbzy/query
```

路径参数说明

```
smsxt:1004,//自定义系统编码
tab:system,//tab的参数，字段暂不确定
plazaId':XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_wbsms‘
        }
    ],
    
}
```

#### 已开发 基础接口: 设备设施-维修事项

接口说明

```

```

请求地址

```
GET /data/glsms_wx/query
```

路径参数说明

```
smsxt:1004,//自定义系统编码
tab:system,//tab的参数，字段暂不确定
plazaId':XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_wx‘
        }
    ],
    
}
```

#### 已开发 基础接口: 设备设施-专维

接口说明

```

```

请求地址

```
GET /data/glsms_zw/query
```

路径参数说明

```
system=system //所属系统
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
字段名StartDate=20200618000000//开始时间 格式：yyyyMMddHHmiss
字段名EndDate=20200618000000//结束时间 格式：yyyyMMddHHmiss
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_zw‘
        }
    ],
    
}
```

#### 已开发 基础接口: 设备设施-其他事项

接口说明

```

```

请求地址

```
GET /data/v_glsms_qtsx/query
```

路径参数说明

```
system=system //所属系统
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_qtsx‘
        }
    ],
    
}
```

#### 基础接口: 设备设施-记录事项

接口说明

```

```

请求地址

```
/data/v_gcglsms_wxwbsxline/query

```

请求参数

```
plazaId=XXYY //广场id 必填
```

返回内容

```
{
    "result": "success",
    "data": [
        {
            "smswz": "开闭所/变电所", //位置
            "children": [
                {
                    "gcglsms_wxwbsxid": 12,
                    "system": "供电系统",
                    "smswz": "开闭所/变电所",
                    "children": [
                        {
                            "gcglsms_wxwbsxlineid": 55,
                            "gcglsms_wxwbsxid": 12,
                            "sn": "1",
                            "matter": "更换电容器/控制器/接触器/熔断器  " //事项
                        },
                        {
                            "gcglsms_wxwbsxlineid": 56,
                            "gcglsms_wxwbsxid": 12,
                            "sn": "2",
                            "matter": "更换功率因数表"
                        },
                        {
                            "gcglsms_wxwbsxlineid": 57,
                            "gcglsms_wxwbsxid": 12,
                            "sn": "3",
                            "matter": "电容器外观异常记录 （膨胀、漏油、异响、放电）"
                        }
                    ],
                    "smsasset": "电容补偿柜" //设备
                }
         ]
       }
    ]
}
```

#### 基础接口: 设备设施-查看图纸

接口说明

```
参数待定
```

请求地址

```

```

请求参数

```
system=system //所属系统
plazaId=XXYY //广场id 必填
```

返回内容

```
[{
    //待定
}]

```

#### 基础接口: 设备设施-楼层电井口（间）控制商铺范围清单

接口说明

```
//参数待定
```

请求地址

```

```

请求参数

```
plazaId=XXYY//广场id 必填

```

返回内容

```json
{
    "result": "success",
	'B1':[{
    	//字段参考视图‘GLSMS_shops’
	}]
}
```
#### 已开发 基础接口: 综合事项记录

接口说明

```

```

请求地址

```
GET /data/v_glsms_zhsxjl/query
```

路径参数说明

```
department=部门 //部门
startDate=20200608000000 //开始时间 格式：yyyyMMddHHmiss
endDate=20200608000000 //结束时间 格式：yyyyMMddHHmiss
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```


返回内容

```
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’V_GLSMS_ZHSXJL‘
        }
    ],
    
}
```

#### 已开发 基础接口: 第三方检测事项

接口说明

```

```

请求地址

```
GET /data/v_glsms_dsfrw/query
```

路径参数说明

```
zgbm=部门 //主管部门
status2=正常 //状态
conclusion=检测结论 //检测结论
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```


返回内容

```
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’v_glsms_dsfrw‘
        }
    ],
    
}
```

#### 基础接口:  综合事项管理-综合记录事项弹框

接口说明

```
参数待定
```

请求地址

```

```

请求参数

```
'plazaId':'XXYY'//广场id 必填
'综合事项id':'XXYY'//综合事项id，字段名称不确定 必填
```

返回内容

```
参数待定
```


#### 已开发 基础接口: 辅助用房管理-广场辅助用房汇总统计报

接口说明

```
GET /data/v_glsms_gcfzyfhz/query
```

请求地址

```

```

请求参数

```
plazaId=XXYY//广场id 必填
```

返回内容

```
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’V_GLSMS_gcfzyfhz‘
        }
    ],
    
}
```

#### 已开发 基础接口:  辅助用房管理-广场辅助用房调改变更记录

接口说明

```
参数待定
```

请求地址

```
GET /data/v_glsms_fzyfchange/query
```

请求参数

```
floor=floor //楼层 必填
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’V_GLSMS_fzyfchange‘
        }
    ],
    
}
```
#### 已开发 基础接口:  机房信息-配电室低压柜及出线明细表

接口说明

```
参数待定
```

请求地址

```
GET /data/glsms_dygjcxline/query
```

请求参数

```
location=1198 //位置内码 必填
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’v_glsms_dygjcxline‘
        }
    ],
    
}
```
```
#### 已开发 基础接口:  专业下设备分类和位置分类树形结构

接口说明

id和name 分别是设备分类和位置分类的id和名字

```
参数待定
```

请求地址

```
post /data/t_system_wzfl/query
```

请求参数

```

```

返回内容

```
{
    "result": "success",
    "data": [
        {
            "id": "1008",   //专业id
            "name": "土建装饰",   //专业名字
            "children": [
                {
                    "type": "2",  // 1 位置 2 设备
                    "id": "2208",    //设备id
                    "name": "综合土建/幕墙"    //设备名字
                }
            ]
        }
    ]
}

```
```
#### 已开发 基础接口:  通过位置id 查询系统名字

接口说明

```
参数待定
```


请求地址

```
GET /data/t_system_wzfl/querySystem
```

请求参数

```
locationid=5408 //位置id 

```

返回内容

```
{
    "result": "success",
    "data": [
        {
            "locationflid": "5209",
            "smsxt": "1001",
            "smsxtname": "供配电系统"
        }
    ]
}
```

```
#### 已开发 基础接口:  特色电井控制商铺

接口说明

```

请求地址

```
GET /data/v_glsms_shops/query
```

请求参数

```
floor=f1

```

返回内容

```
{
    "result": "success",
    "data": [
        {
            "f1": [
                {
                    "floor": "f1",
                    "wellnum": "1173",
                    "welldes": "商业楼/1层/百货楼/百货楼-强电井-2号强电井",
                    "meterbox": "W1-1AP2",
                    "wellnumList": "1050,1031A,1032,1022,1033,1023,1033A,1025,1035,1026,1036,1027,1037,1028,1037A,1029,1038,1030,1039,1031"
                }
            ]
        }
    ]
}
```
```
#### 已开发 基础接口:  综合事项彈框

接口说明

```

请求地址

```
GET /data/v_glsms_zhsxjl/queryWindown
```

请求参数

```
无

```

返回内容

```
{
    "result": "success",
    "data": [
        {
            "zgbm": "政府",
            "jlsx": "1）检测结论",
            "jcsx": "商管-消防电-消防功能检测报告外委检查标准"
        }
    ]
}
```
#### 已开发 基础接口:  查询管理说明书系统

请求地址

```
GET /data/v_glsms_systemcfg/querySmsxt
```

返回内容

```
{
    "result": "success",
    "data": [
        {
            "name": "电梯系统",
            "code": "1006"
        },
        {
            "name": "供配电系统",
            "code": "1001"
        },
        {
            "name": "弱电系统",
            "code": "1004"
        },
        {
            "name": "给排水",
            "code": "1005"
        },
        {
            "name": "消防系统",
            "code": "1003"
        },
        {
            "name": "暖通系统",
            "code": "1002"
        },
        {
            "name": "土建装饰",
            "code": "1008"
        },
        {
            "name": "燃气系统",
            "code": "1007"
        }
    ]
}
```
#### 已开发 基础接口:  根据管理说明书系统-查询工程信息化系统及下级设备分类

请求地址

```
GET /data/base/queryClassStructureBySmsxt?smsxt=1001
```

返回内容

```
{
    "result": "success",
    "data": [
        {
            "gcxxhxtnum": "GPD",
            "gcxxhxt": "1508",
            "gcxxhxtname": "供配电系统",
            "data": [
                {
                    "id": "1483",
                    "classqc": "供配电系统/线性感温控制器",
                    "systemqm": "GPD"
                },
                {
                    "id": "1484",
                    "classqc": "供配电系统/低压配电柜/进线柜",
                    "systemqm": "GPD"
                }
            ]
        },
        {
            "gcxxhxtnum": "ZM",
            "gcxxhxt": "1534",
            "gcxxhxtname": "照明系统",
            "data": [
                {
                    "id": "1536",
                    "classqc": "照明系统/泛光灯/灯带",
                    "systemqm": "ZM"
                }
            ]
        }
    ]
}
```
#### 已开发 基础接口:  根据设备分类查询设备台账

请求地址

```
GET /data/glsms_asset/queryByClassStructure?plazaId=1000423&page=1&size=10
```
请求参数
```json
{
    "gname":"f1", //楼层，非必填
    "classstructureid":"1101" //设备分类，必填
}
```

返回内容

```
{
    "result": "success",
    "data": [
        {
            "type_name": "DDC控制箱",
            "sbjbm": "DDC-21", //设备编码
            "importance": 1,
            "sl": 4,
            "sbxh": "BOX1A(2Base)",
            "floorcode": "F6",
            "gname": "f6", //铺位可视化楼层
            "sbjc": "DDC控制箱-21", //设备简称
            "seq": 600,
            "type_code": "rd031",
            "manufacturer": "上海施耐德电气有限公司"
        }
    ],
    "count": 997
}
```
#### 已开发 基础接口:  查询位置大类

请求地址

```
GET /data/base/queryWzfldl
```

返回内容

```
{
    "result": "success",
    "data": [
        {
            "dl": "设备间"
        },
        {
            "dl": "位置区域"
        },
        {
            "dl": "楼层"
        },
        {
            "dl": "楼体"
        },
        {
            "dl": "广场"
        }
    ]
}
```
#### 已开发 基础接口:  根据位置大类查询位置分类

请求地址

```
GET /data/base/queryWzflByDl?dl=设备间
```

返回内容

```
{
    "result": "success",
    "data": [
        {
            "name": "信息机房",
            "wdnum": "XXJF",
            "id": 82
        },
        {
            "name": "强弱电井",
            "wdnum": "QRDJ",
            "id": 141
        },
        {
            "name": "干式垃圾房",
            "wdnum": "GSLJF",
            "id": 304
        },
        {
            "name": "公共区域",
            "wdnum": "GGQY",
            "id": 305
        },
        {
            "name": "放映机房",
            "wdnum": "FYJF",
            "id": 311
        },
        {
            "name": "员工餐厅",
            "wdnum": "YGCT",
            "id": 313
        },
        {
            "name": "屋面点位",
            "wdnum": "WMDW",
            "id": 314
        }
    ]
}
```
#### 已开发 基础接口:  查询位置台账

请求地址

```
Post /data/v_glsms_location/query?plazaId=1000423&page=1&size=10
```
请求参数
```json
{
    "locfl":"5209" //位置分类id
}
```

返回内容

```
{
    "result": "success",
    "data": [
        {
            "name": "信息机房",
            "wdnum": "XXJF",
            "id": 82
        },
        {
            "name": "强弱电井",
            "wdnum": "QRDJ",
            "id": 141
        },
        {
            "name": "干式垃圾房",
            "wdnum": "GSLJF",
            "id": 304
        },
        {
            "name": "公共区域",
            "wdnum": "GGQY",
            "id": 305
        },
        {
            "name": "放映机房",
            "wdnum": "FYJF",
            "id": 311
        },
        {
            "name": "员工餐厅",
            "wdnum": "YGCT",
            "id": 313
        },
        {
            "name": "屋面点位",
            "wdnum": "WMDW",
            "id": 314
        }
    ]
}
```